RegionAttributesType.PartitionAttributes (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: RegionAttributesType, class: PartitionAttributes

Package org.apache.geode.cache.configuration

# Class RegionAttributesType.PartitionAttributes

java.lang.Object
org.apache.geode.cache.configuration.RegionAttributesType.PartitionAttributes

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  RegionAttributesType

public static class RegionAttributesType.PartitionAttributes extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="partition-resolver" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                       <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                     <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="partition-listener" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                       <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="fixed-partition-attributes" maxOccurs="unbounded" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <attribute name="partition-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="is-primary" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="num-buckets" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="local-max-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="recovery-delay" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="redundant-copies" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="startup-recovery-delay" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="total-max-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="total-num-buckets" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="colocated-with" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RegionAttributesType.PartitionAttributes.FixedPartitionAttributes`
  Java class for anonymous complex type.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `colocatedWith`
  `protected List<RegionAttributesType.PartitionAttributes.FixedPartitionAttributes>`
  `fixedPartitionAttributes`
  `protected String`
  `localMaxMemory`
  `protected List<DeclarableType>`
  `partitionListeners`
  `protected DeclarableType`
  `partitionResolver`
  `protected String`
  `recoveryDelay`
  `protected String`
  `redundantCopies`
  `protected String`
  `startupRecoveryDelay`
  `protected String`
  `totalMaxMemory`
  `protected String`
  `totalNumBuckets`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartitionAttributes()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RegionAttributesType.PartitionAttributes`
  `combine(RegionAttributesType.PartitionAttributes existing, RegionAttributesType.PartitionAttributes delta)`
  `static RegionAttributesType.PartitionAttributes`
  `generate(String partitionResolver, List<String> partitionListeners, Integer localMaxMemory, Long recoveryDelay, Integer redundantCopies, Long startupRecoveryDelay, Long totalMaxMemory, Integer totalNumBuckets, String colocatedWith)`
  `String`
  `getColocatedWith()`
  Gets the value of the colocatedWith property.
  `List<RegionAttributesType.PartitionAttributes.FixedPartitionAttributes>`
  `getFixedPartitionAttributes()`
  Gets the value of the fixedPartitionAttributes property.
  `String`
  `getLocalMaxMemory()`
  Gets the value of the localMaxMemory property.
  `List<DeclarableType>`
  `getPartitionListeners()`
  Gets the value of the partitionListener property.
  `DeclarableType`
  `getPartitionResolver()`
  Gets the value of the partitionResolver property.
  `String`
  `getRecoveryDelay()`
  Gets the value of the recoveryDelay property.
  `String`
  `getRedundantCopies()`
  Gets the value of the redundantCopies property.
  `String`
  `getStartupRecoveryDelay()`
  Gets the value of the startupRecoveryDelay property.
  `String`
  `getTotalMaxMemory()`
  Gets the value of the totalMaxMemory property.
  `String`
  `getTotalNumBuckets()`
  Gets the value of the totalNumBuckets property.
  `void`
  `setColocatedWith(String value)`
  Sets the value of the colocatedWith property.
  `void`
  `setLocalMaxMemory(String value)`
  Sets the value of the localMaxMemory property.
  `void`
  `setPartitionResolver(DeclarableType value)`
  Sets the value of the partitionResolver property.
  `void`
  `setRecoveryDelay(String value)`
  Sets the value of the recoveryDelay property.
  `void`
  `setRedundantCopies(String value)`
  Sets the value of the redundantCopies property.
  `void`
  `setStartupRecoveryDelay(String value)`
  Sets the value of the startupRecoveryDelay property.
  `void`
  `setTotalMaxMemory(String value)`
  Sets the value of the totalMaxMemory property.
  `void`
  `setTotalNumBuckets(String value)`
  Sets the value of the totalNumBuckets property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### partitionResolver

    protected DeclarableType partitionResolver

  - ### partitionListeners

    protected List<DeclarableType> partitionListeners

  - ### fixedPartitionAttributes

    protected List<RegionAttributesType.PartitionAttributes.FixedPartitionAttributes> fixedPartitionAttributes

  - ### localMaxMemory

    protected String localMaxMemory

  - ### recoveryDelay

    protected String recoveryDelay

  - ### redundantCopies

    protected String redundantCopies

  - ### startupRecoveryDelay

    protected String startupRecoveryDelay

  - ### totalMaxMemory

    protected String totalMaxMemory

  - ### totalNumBuckets

    protected String totalNumBuckets

  - ### colocatedWith

    protected String colocatedWith

- ## Constructor Details

  - ### PartitionAttributes

    public PartitionAttributes()

- ## Method Details

  - ### generate

    public static RegionAttributesType.PartitionAttributes generate(String partitionResolver, List<String> partitionListeners, Integer localMaxMemory, Long recoveryDelay, Integer redundantCopies, Long startupRecoveryDelay, Long totalMaxMemory, Integer totalNumBuckets, String colocatedWith)

  - ### combine

    public static RegionAttributesType.PartitionAttributes combine(RegionAttributesType.PartitionAttributes existing, RegionAttributesType.PartitionAttributes delta)

  - ### getPartitionResolver

    public DeclarableType getPartitionResolver()
    Gets the value of the partitionResolver property. possible object is `DeclarableType`
    Returns:
      the value of the partitionResolver property

  - ### setPartitionResolver

    public void setPartitionResolver(DeclarableType value)
    Sets the value of the partitionResolver property. allowed object is `DeclarableType`
    Parameters:
      `value` - the value of the partitionResolver property

  - ### getPartitionListeners

    public List<DeclarableType> getPartitionListeners()
    Gets the value of the partitionListener property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the partitionListener property.

    For example, to add a new item, do as follows:

         getPartitionListeners().add(newItem);

    Objects of the following type(s) are allowed in the list `DeclarableType`

    Returns:
      the value of the partitionListener property

  - ### getFixedPartitionAttributes

    public List<RegionAttributesType.PartitionAttributes.FixedPartitionAttributes> getFixedPartitionAttributes()
    Gets the value of the fixedPartitionAttributes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the fixedPartitionAttributes property.

    For example, to add a new item, do as follows:

         getFixedPartitionAttributes().add(newItem);

    Objects of the following type(s) are allowed in the list `RegionAttributesType.PartitionAttributes.FixedPartitionAttributes`

    Returns:
      the value of the fixedPartitionAttributes property

  - ### getLocalMaxMemory

    public String getLocalMaxMemory()
    Gets the value of the localMaxMemory property. possible object is `String`
    Returns:
      the value of the localMaxMemory property

  - ### setLocalMaxMemory

    public void setLocalMaxMemory(String value)
    Sets the value of the localMaxMemory property. allowed object is `String`
    Parameters:
      `value` - the value of the localMaxMemory property

  - ### getRecoveryDelay

    public String getRecoveryDelay()
    Gets the value of the recoveryDelay property. possible object is `String`
    Returns:
      the value of the recoveryDelay property

  - ### setRecoveryDelay

    public void setRecoveryDelay(String value)
    Sets the value of the recoveryDelay property. allowed object is `String`
    Parameters:
      `value` - the value of the recoveryDelay property

  - ### getRedundantCopies

    public String getRedundantCopies()
    Gets the value of the redundantCopies property. possible object is `String`
    Returns:
      the value of the redundantCopies property

  - ### setRedundantCopies

    public void setRedundantCopies(String value)
    Sets the value of the redundantCopies property. allowed object is `String`
    Parameters:
      `value` - the value of the redundantCopies property

  - ### getStartupRecoveryDelay

    public String getStartupRecoveryDelay()
    Gets the value of the startupRecoveryDelay property. possible object is `String`
    Returns:
      the value of the startupRecoveryDelay property

  - ### setStartupRecoveryDelay

    public void setStartupRecoveryDelay(String value)
    Sets the value of the startupRecoveryDelay property. allowed object is `String`
    Parameters:
      `value` - the value of the startupRecoveryDelay property

  - ### getTotalMaxMemory

    public String getTotalMaxMemory()
    Gets the value of the totalMaxMemory property. possible object is `String`
    Returns:
      the value of the totalMaxMemory property

  - ### setTotalMaxMemory

    public void setTotalMaxMemory(String value)
    Sets the value of the totalMaxMemory property. allowed object is `String`
    Parameters:
      `value` - the value of the totalMaxMemory property

  - ### getTotalNumBuckets

    public String getTotalNumBuckets()
    Gets the value of the totalNumBuckets property. possible object is `String`
    Returns:
      the value of the totalNumBuckets property

  - ### setTotalNumBuckets

    public void setTotalNumBuckets(String value)
    Sets the value of the totalNumBuckets property. allowed object is `String`
    Parameters:
      `value` - the value of the totalNumBuckets property

  - ### getColocatedWith

    public String getColocatedWith()
    Gets the value of the colocatedWith property. possible object is `String`
    Returns:
      the value of the colocatedWith property

  - ### setColocatedWith

    public void setColocatedWith(String value)
    Sets the value of the colocatedWith property. allowed object is `String`
    Parameters:
      `value` - the value of the colocatedWith property